package types

import (
	"time"

	geojson "github.com/paulmach/orb/geojson"
)

type SolidarityTransportPrice struct {
	Amount   float64
	Currency string
}

type DriverJourney struct {
	Id                  string           `json:"id" bson:"_id"`
	DriverId            string           `json:"driver_id" bson:"driver_id"`
	PassengerPickup     *geojson.Feature `json:"passenger_pickup" bson:"passenger_pickup"`
	PassengerDrop       *geojson.Feature `json:"passenger_drop" bson:"passenger_drop"`
	PassengerDistance   int64            `json:"passenger_distance" bson:"passenger_distance"`
	DriverDeparture     *geojson.Feature `json:"driver_departure" bson:"driver_departure"`
	DriverArrival       *geojson.Feature `json:"driver_arrival" bson:"driver_arrival"`
	DriverDistance      int64            `json:"driver_distance" bson:"driver_distance"`
	Duration            time.Duration
	JourneyPolyline     string    `json:"journey_polyline" bson:"journey_polyline"`
	PassengerPickupDate time.Time `json:"passenger_pickup_date" bson:"passenger_pickup_date"`
	DriverDepartureDate time.Time `json:"driver_departure_date" bson:"driver_departure_date"`
	Price               SolidarityTransportPrice
}

type PassengerTrip struct {
	Id                  string           `json:"id" bson:"_id"`
	PassengerId         string           `json:"passenger_id" bson:"passenger_id"`
	PassengerPickup     *geojson.Feature `json:"passenger_pickup" bson:"passenger_pickup"`
	PassengerDrop       *geojson.Feature `json:"passenger_drop" bson:"passenger_drop"`
	PassengerPickupDate time.Time        `json:"passenger_pickup_date" bson:"passenger_pickup_date"`
}
